Bug 1794640 - [OpenStack] Stop creating dataurls manually and use a library instead
Summary: [OpenStack] Stop creating dataurls manually and use a library instead
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Martin André
QA Contact: David Sanz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-24 07:25 UTC by Martin André
Modified: 2020-05-04 11:27 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:26:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2999 None closed Bug 1794640: OpenStack: Use dataurl library 2020-04-22 21:35:43 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:27:05 UTC

Description Martin André 2020-01-24 07:25:11 UTC
When generating the bootstrap ignition file for OpenStack platform, we're manually creating the dataurl while we should have been using a dataurl library for this.

https://github.com/openshift/installer/pull/2932/files/1154bacad57027c037b7c1ef3f4e1177fbc53413#r370433763

Comment 3 David Sanz 2020-02-06 12:03:31 UTC
Verified on 4.4.0-0.nightly-2020-02-06-104707

Comment 5 errata-xmlrpc 2020-05-04 11:26:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.